Subject: Re: [PATCH 2.6.28] cxgb3 - Fix LRO misalignment

From: Divy Le Ray <[email-masked]>
Date: Fri, 16 Jan 2009 11:05:50 -0800

Rick Jones wrote:
> Divy Le Ray wrote:
>   
>> From: Divy Le Ray <[email-masked]>
>>
>> The lro manager's frag_align_pad setting was missing,
>> leading to misaligned access to the skb passed up
>> to the stack.
>>
>> Signed-off-by: Divy Le Ray <[email-masked]>
>>     
>
> I have tried this in a tree I have, and where I was once seeing unaligned access 
> messages on an ia64 system with LRO enabled, now I see none.
>
> Tested-by: Rick Jones <[email-masked]>
>
> rick jones
>
>   
Hi Dave,

The patch is intended for 2.6.29, not 2.6.28 as the subject mistakenly 
states.

Cheers,
Divy